Bug 570111 - Review Request: rubygem-right_http_connection - RightScale's HTTP/S module
Summary: Review Request: rubygem-right_http_connection - RightScale's HTTP/S module
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: noarch
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 570457
Blocks: 570113
TreeView+ depends on / blocked
 
Reported: 2010-03-03 10:51 UTC by Michal Fojtik
Modified: 2010-03-24 23:40 UTC (History)
4 users (show)

Fixed In Version: rubygem-right_http_connection-1.2.4-2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-24 17:59:54 UTC
lkundrak: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Michal Fojtik 2010-03-03 10:51:04 UTC
Spec URL: http://mifo.sk/rubygem-right-http-connection.spec
SRPM URL: http://mifo.sk/rubygem-right-http-connection-1.2.4-1.fc12.src.rpm
Description: 
RightScale's robust HTTP/S connection module.

Comment 1 Lubomir Rintel 2010-03-03 10:56:27 UTC
Taking this.

Comment 2 Lubomir Rintel 2010-03-03 11:03:12 UTC
1.) Duplicate %files entries

warning: File listed twice:
/usr/lib/ruby/gems/1.8/gems/right_http_connection-1.2.4/History.txt
warning: File listed twice:
/usr/lib/ruby/gems/1.8/gems/right_http_connection-1.2.4/Manifest.txt
warning: File listed twice:
/usr/lib/ruby/gems/1.8/gems/right_http_connection-1.2.4/README.txt

2.) Dependency on ruby(abi) = 1.8 missing

3.) Use %global instead of %define wherever it makes sense

Comment 3 Lubomir Rintel 2010-03-03 11:09:22 UTC
4.) Seems to me like your package name is wrong:

#  Packages that contain Ruby Gems must be called rubygem-%{gemname} where gemname is the name from the Gem's specification. [1]
[1] http://fedoraproject.org/wiki/Packaging/Ruby

You turned _s into -s; I doubt there's a reason to do that. There indeed are ruby gems with _ in package name: http://koji.fedoraproject.org/koji/search?match=glob&type=package&terms=ruby*_*

Comment 4 Lubomir Rintel 2010-03-03 11:10:17 UTC
* License ok, text included in source files
* Spec file clean, legible, american english
* Builds fine in mock

Comment 5 Michal Fojtik 2010-03-03 11:20:14 UTC
(In reply to comment #3)
> 4.) Seems to me like your package name is wrong:
> 
> #  Packages that contain Ruby Gems must be called rubygem-%{gemname} where
> gemname is the name from the Gem's specification. [1]
> [1] http://fedoraproject.org/wiki/Packaging/Ruby
> 
> You turned _s into -s; I doubt there's a reason to do that. There indeed are
> ruby gems with _ in package name:
> http://koji.fedoraproject.org/koji/search?match=glob&type=package&terms=ruby*_*    

(In reply to comment #2)
> 1.) Duplicate %files entries
> 
> warning: File listed twice:
> /usr/lib/ruby/gems/1.8/gems/right_http_connection-1.2.4/History.txt
> warning: File listed twice:
> /usr/lib/ruby/gems/1.8/gems/right_http_connection-1.2.4/Manifest.txt
> warning: File listed twice:
> /usr/lib/ruby/gems/1.8/gems/right_http_connection-1.2.4/README.txt

FIXED.

> 
> 2.) Dependency on ruby(abi) = 1.8 missing

FIXED.

> 
> 3.) Use %global instead of %define wherever it makes sense    

FIXED. (Alway forgot this. Need to write patch for gem2rpm ;)

Spec URL: http://mifo.sk/rubygem-right_http_connection.spec
SRPM URL: http://mifo.sk/rubygem-right_http_connection-1.2.4-2.fc12.src.rpm

Comment 6 Lubomir Rintel 2010-03-03 11:37:31 UTC
* Correctly named
* Version correct
* Filelist sane
* Requires/provides ok
* Macros used consistently

APROVED

Comment 7 Michal Fojtik 2010-03-03 11:45:54 UTC
New Package CVS Request
=======================
Package Name: rubygem-right_http_connection
RightScale's robust HTTP/S connection module. 
Owners: mfojtik
Branches: F-11 F-12 F-13 EL-5

Comment 8 Jason Tibbitts 2010-03-04 01:01:46 UTC
This CVS request is rather odd; it looks like the description ended up on the
wrong line.  Please fix and re-set the fedora-cvs flag.

Comment 9 Michal Fojtik 2010-03-04 08:52:48 UTC
New Package CVS Request
=======================
Package Name: rubygem-right_http_connection
Short Description: RightScale's robust HTTP connection module. 
Owners: mfojtik
Branches: devel F-11 F-12 F-13 EL-5

Comment 10 Kevin Fenzi 2010-03-06 05:23:49 UTC
CVS done (by process-cvs-requests.py).

Comment 11 Fedora Update System 2010-03-08 11:17:07 UTC
rubygem-right_http_connection-1.2.4-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rubygem-right_http_connection-1.2.4-2.fc11

Comment 12 Fedora Update System 2010-03-08 11:27:09 UTC
rubygem-right_http_connection-1.2.4-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rubygem-right_http_connection-1.2.4-2.fc12

Comment 13 Fedora Update System 2010-03-08 11:38:33 UTC
rubygem-right_http_connection-1.2.4-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rubygem-right_http_connection-1.2.4-2.fc13

Comment 14 Fedora Update System 2010-03-08 15:45:12 UTC
rubygem-right_aws-1.10.0-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rubygem-right_aws-1.10.0-3.fc11

Comment 15 Fedora Update System 2010-03-08 16:06:27 UTC
rubygem-right_http_connection-1.2.4-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/rubygem-right_http_connection-1.2.4-2.el5

Comment 16 Fedora Update System 2010-03-08 20:21:16 UTC
rubygem-right_http_connection-1.2.4-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-right_http_connection'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rubygem-right_http_connection-1.2.4-2.el5

Comment 17 Fedora Update System 2010-03-09 03:18:26 UTC
rubygem-right_http_connection-1.2.4-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-right_http_connection'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rubygem-right_http_connection-1.2.4-2.fc12

Comment 18 Fedora Update System 2010-03-09 03:31:41 UTC
rubygem-right_http_connection-1.2.4-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-right_http_connection'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rubygem-right_http_connection-1.2.4-2.fc13

Comment 19 Fedora Update System 2010-03-09 03:36:16 UTC
rubygem-right_http_connection-1.2.4-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-right_http_connection'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rubygem-right_http_connection-1.2.4-2.fc11

Comment 20 Fedora Update System 2010-03-10 06:39:34 UTC
rubygem-right_aws-1.10.0-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-right_aws'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rubygem-right_aws-1.10.0-3.fc11

Comment 21 Fedora Update System 2010-03-24 17:59:48 UTC
rubygem-right_http_connection-1.2.4-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2010-03-24 23:27:54 UTC
rubygem-right_http_connection-1.2.4-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2010-03-24 23:34:45 UTC
rubygem-right_http_connection-1.2.4-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2010-03-24 23:40:03 UTC
rubygem-right_http_connection-1.2.4-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.